/**
 * output package name
 */
package com.kingdee.eas.custom.compensation.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SyncStatusEnum extends StringEnum
{
    public static final String SAVED_VALUE = "1";//alias=暂存
    public static final String SUBMITTED_VALUE = "2";//alias=已审批
    public static final String APPROVED_VALUE = "3";//alias=已提报

    public static final SyncStatusEnum SAVED = new SyncStatusEnum("SAVED", SAVED_VALUE);
    public static final SyncStatusEnum SUBMITTED = new SyncStatusEnum("SUBMITTED", SUBMITTED_VALUE);
    public static final SyncStatusEnum APPROVED = new SyncStatusEnum("APPROVED", APPROVED_VALUE);

    /**
     * construct function
     * @param String syncStatusEnum
     */
    private SyncStatusEnum(String name, String syncStatusEnum)
    {
        super(name, syncStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SyncStatusEnum getEnum(String syncStatusEnum)
    {
        return (SyncStatusEnum)getEnum(SyncStatusEnum.class, syncStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SyncStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SyncStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SyncStatusEnum.class);
    }
}